[Stable Update] 2019-01-23 - Kernels, Mesa, Browsers, Nvidia, Deepin, VirtualBox

Failed to commit transaction
invalid or corrupted package:
 

and no package name appears. This is not new for me. This happened during last upgrade.

Also there is a warning:

Warning: faba-icon-theme: downgrading from version 1:4.3-1 to version 4.3-1
Warning: dependency cycle detected:
Warning: bashrc-manjaro will be installed before its bash dependency
Warning: dependency cycle detected:
Warning: nvidia-utils will be installed before its mesa dependency
Warning: dependency cycle detected:
Warning: nvidia-utils will be installed before its mesa dependency

When retrying I see mc is downloading every time.
When trying with pacman -Syu instead of pamac I'm getting:

[...]
(311/311) checking package integrity                                                                               [####################################################################] 100%
error: mc: key "Alad Wenter <alad@archlinux.org>" is disabled
:: File /var/cache/pacman/pkg/mc-4.8.22-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 

So pamac is not able to handle such case.

Oh, and there is a 2nd pkg:

Downloading faba-icon-theme (4.3-1-any)...
Checking keyring...                                                                                                                                                                  [311/311]
Checking integrity...                                                                                                                                                                [311/311]
Error: faba-icon-theme: key "Alad Wenter <alad@archlinux.org>" is disabled
Error: Failed to commit transaction: invalid or corrupted package:

Please note, that pamac-manager is displaying the last message without pointing to the affected package, and without giving a reason.

Edit 2: This helped me: Problem with certificates while doing update - pamac-manager was not able to perform upgrade. Also pacman warned me:
warning: faba-icon-theme: local (1:4.3-1) is newer than community (4.3-1)

When I run Pamac v7.3.4-1 I get this displayed before I update. Just wanted to check if this is okay before I hit the update button. You can ignore Rhythmbox warning though, I had to downgrade from the latest update because it conflicts with the Alternative Toolbar that I love dearly and can't imagine living without :wink:

Warning: rhythmbox: ignoring package upgrade (3.4.2+4+ge123ad533-2 => 3.4.3-1)
Warning: dependency cycle detected:
Warning: bashrc-manjaro will be installed before its bash dependency
Warning: dependency cycle detected:
Warning: nvidia-utils will be installed before its mesa dependency
Warning: dependency cycle detected:
Warning: nvidia-utils will be installed before its mesa dependency
Warning: dependency cycle detected:
Warning: deepin-session-ui will be installed before its deepin-control-center dependency
Warning: dependency cycle detected:
Warning: deepin-session-ui will be installed before its deepin-daemon dependency
Warning: dependency cycle detected:
Warning: deepin-session-ui will be installed before its deepin-daemon dependency

Also, here's my system info if needed: system info - inxi -Fxzc0

Dependency cycles are OK. Please double check if systemd is not higher than 239.6. Else I recommend to use sudo pacman -Syyuu to do this update.

3 Likes

Thank you for the amazingly quick reply! That's good to know and yes I am currently using systemd 239.6-2.2 and haven't had any issues with that at all on the Deepin edition.

U're welcome. Should be no issue on your system to update.

1 Like

Updated via Pamac gui and didn't read the forum beforehand.
Got errors about missing libidn2 while generating initramfs.
On boot:
libidn2.so.4: cannot open shared object file: No such file or directory
followed by kernel panic.

It's past midnight here so more details tomorrow.

1 Like

coming from systemd 239.303, no issues on KDE. Updated in Yakuake-Terminal with pacman -Syyuu :slight_smile:

Just an info:
If, as in my case, upgrading mariadb to version 10.3.12-2 using the suggested command:
sudo systemctl restart mariadb.service && mysql_upgrade -u root -p
ends in:

Could not create the upgrade info file '/var/lib/mysql/mysql_upgrade_info' in the MariaDB Servers datadir, errno: 13

use the --force parameter to solve the issue:

sudo systemctl restart mariadb.service && mysql_upgrade -u root -p --force

I have the same error.

error: failed to prepare transaction (could not satisfy dependencies)
:: installing nvidia-utils (1:415.27-1) breaks dependency 'nvidia-utils=1:415.25' required by linux418-nvidia
Error installing repo packages

linux418 not exist now - remove 4.18 and install 4.19

1 Like

4.14 and 4.19 are LTS kernels and still supported (until Jan 2020 and Dec 2020 respectively)
4.15 through 4.18 are not LTS and have a short lifespan (and need to be removed to continue receiving updates).

1 Like

i have a warning :

Avertissement: impossible de récupérer les informations de fichier pour etc/libvirt/qemu/networks/default.xml

Is this bad ? Need to be fixed ?

Nice cant boot now and need my pc in the next 20 mins54

Keyboard also not working

1 Like

option 3 :

3 Likes

Have no usb here

Done the update and got this error after all was done:

Error: command failed to execute correctly
Error: command failed to execute correctly
Error: command failed to execute correctly
Error: command failed to execute correctly
Error: command failed to execute correctly
Error: command failed to execute correctly
Error: command failed to execute correctly
Error: command failed to execute correctly

Also, let me copy paste here the entire process before I reboot, in case it won't reboot :smiley:


Synchronizing package databases...
Starting full system upgrade...
Warning: faba-icon-theme: local (1:4.3-1) is newer than community (4.3-1)
Warning: lib32-systemd: local (239.303-1) is newer than multilib (239.6-4)
Warning: libsystemd: local (239.303-1) is newer than core (239.6-4)
Warning: systemd: local (239.303-1) is newer than core (239.6-4)
Warning: systemd-sysvcompat: local (239.303-1) is newer than core (239.6-4)
Resolving dependencies...
Checking inter-conflicts...
Warning: dependency cycle detected:
Warning: bashrc-manjaro will be installed before its bash dependency
Downloading libutil-linux (2.33.1-2-x86_64)...
Downloading ncurses (6.1-6-x86_64)...
Downloading readline (8.0.0-1-x86_64)...
Downloading bashrc-manjaro (5.0.0-1-any)...
Downloading bash (5.0.0-1-x86_64)...
Downloading pcre (8.42-2-x86_64)...
Downloading libidn2 (2.1.0-1-x86_64)...
Downloading gdbm (1.18.1-2-x86_64)...
Downloading libsasl (2.1.26-16-x86_64)...
Downloading libldap (2.4.47-1-x86_64)...
Downloading util-linux (2.33.1-2-x86_64)...
Downloading pcre2 (10.32-2-x86_64)...
Downloading device-mapper (2.02.183-2-x86_64)...
Downloading gnutls (3.6.5-4-x86_64)...
Downloading libedit (20181209_3.1-1-x86_64)...
Downloading libpsl (0.20.2-3-x86_64)...
Downloading curl (7.63.0-4-x86_64)...
Downloading pacman-mirrors (4.14.1-1-any)...
Downloading sqlite (3.26.0-2-x86_64)...
Downloading gnupg (2.2.12-2-x86_64)...
Downloading mhwd-nvidia (1:415.27-1-any)...
Downloading tar (1.31-2-x86_64)...
Downloading xfsprogs (4.19.0-2-x86_64)...
Downloading gawk (4.2.1-2-x86_64)...
Downloading lvm2 (2.02.183-2-x86_64)...
Downloading inetutils (1.9.4-7-x86_64)...
Downloading iputils (20180629.f6aac8d-3-x86_64)...
Downloading linux414 (4.14.94-1-x86_64)...
Downloading linux414-headers (4.14.94-1-x86_64)...
Downloading linux419 (4.19.16-1-x86_64)...
Downloading linux419-headers (4.19.16-1-x86_64)...
Downloading wpa_supplicant (2:2.6-2-x86_64)...
Downloading pkgconf (1.6.0-1-x86_64)...
Downloading s-nail (14.9.11-2-x86_64)...
Downloading sudo (1.8.27-1-x86_64)...
Downloading js52 (52.9.0-2-x86_64)...
Downloading accountsservice (0.6.54+2+g204a4ab-2-x86_64)...
Downloading alsa-lib (1.1.8-1-x86_64)...
Downloading boost-libs (1.69.0-1-x86_64)...
Downloading hunspell (1.7.0-2-x86_64)...
Downloading libxml2 (2.9.8-8-x86_64)...
Downloading jack (0.125.0-7-x86_64)...
Downloading mesa (18.3.2-0-x86_64)...
Downloading python (3.7.2-3-x86_64)...
Downloading nvidia-utils (1:415.27-1-x86_64)...
Downloading avahi (0.7+18+g1b5f401-1-x86_64)...
Downloading libcups (2.2.10-2-x86_64)...
Downloading gtk-update-icon-cache (3.24.3-1-x86_64)...
Downloading gtk3 (3.24.3-1-x86_64)...
Downloading alsa-plugins (1.1.8-1-x86_64)...
Downloading alsa-utils (1.1.8-1-x86_64)...
Downloading apr-util (1.6.1-5-x86_64)...
Downloading qt5-base (5.12.0-3.0-x86_64)...
Downloading attica (5.54.0-1-x86_64)...
Downloading bc (1.07.1-3-x86_64)...
Downloading bluez (5.50-6-x86_64)...
Downloading bluez-libs (5.50-6-x86_64)...
Downloading bluez-utils (5.50-6-x86_64)...
Downloading boost (1.69.0-1-x86_64)...
Downloading libuv (1.25.0-1-x86_64)...
Downloading breeze-icons (5.54.0-1-any)...
Downloading python2 (2.7.15-4-x86_64)...
Downloading cups-pk-helper (0.2.6-3-x86_64)...
Downloading dnsmasq (2.80-2-x86_64)...
Downloading extra-cmake-modules (5.54.0-1-any)...
Downloading ostree (2019.1-1-x86_64)...
Downloading xdg-dbus-proxy (0.1.1-1-x86_64)...
Downloading libmm-glib (1.10.0-1-x86_64)...
Downloading geoclue2 (2.5.2-2-x86_64)...
Downloading xdg-desktop-portal-gtk (1.1.1-1-x86_64)...
Downloading rtkit (0.11+10+g493a135-1-x86_64)...
Downloading xdg-desktop-portal (1.1.1-1-x86_64)...
Downloading flatpak (1.1.3-2-x86_64)...
Downloading gcr (3.28.1-1-x86_64)...
Downloading gnome-online-accounts (3.30.1-1-x86_64)...
Downloading libphonenumber (8.10.1-2-x86_64)...
Downloading folks (0.11.4+42+g5520ed9a-2-x86_64)...
Downloading libgdm (3.30.2-2-x86_64)...
Downloading js60 (60.4.0-2-x86_64)...
Downloading gjs (2:1.54.3-2-x86_64)...
Downloading usbmuxd (1.1.0+48+g1cc8b34-3-x86_64)...
Downloading libnm (1.14.5dev+17+gba83251bb-2-x86_64)...
Downloading libnm-glib (1.14.5dev+17+gba83251bb-2-x86_64)...
Downloading mobile-broadband-provider-info (20190116-1-any)...
Downloading gdm (3.30.2-2-x86_64)...
Downloading gmime3 (3.2.3-2-x86_64)...
Downloading gsasl (1.8.0-9-x86_64)...
Downloading gsfonts (20180524-2-any)...
Downloading guile (2.2.4-2-x86_64)...
Downloading parted (3.2-8-x86_64)...
Downloading gvfs (1.38.1+8+ge4eec2bc-1-x86_64)...
Downloading gvfs-afc (1.38.1+8+ge4eec2bc-1-x86_64)...
Downloading gvfs-goa (1.38.1+8+ge4eec2bc-1-x86_64)...
Downloading gvfs-google (1.38.1+8+ge4eec2bc-1-x86_64)...
Downloading gvfs-mtp (1.38.1+8+ge4eec2bc-1-x86_64)...
Downloading libwbclient (4.9.4-2-x86_64)...
Downloading smbclient (4.9.4-2-x86_64)...
Downloading gvfs-smb (1.38.1+8+ge4eec2bc-1-x86_64)...
Downloading libmagick (7.0.8.24-1-x86_64)...
Downloading imagemagick (7.0.8.24-1-x86_64)...
Downloading inkscape (0.92.4-1-x86_64)...
Downloading karchive (5.54.0-1-x86_64)...
Downloading kcoreaddons (5.54.0-1-x86_64)...
Downloading kauth (5.54.0-2-x86_64)...
Downloading kdbusaddons (5.54.0-1-x86_64)...
Downloading kconfig (5.54.0-1-x86_64)...
Downloading kwindowsystem (5.54.0-1-x86_64)...
Downloading kcrash (5.54.0-1-x86_64)...
Downloading kglobalaccel (5.54.0-1-x86_64)...
Downloading kwidgetsaddons (5.54.0-1-x86_64)...
Downloading kcompletion (5.54.0-1-x86_64)...
Downloading ki18n (5.54.0-1-x86_64)...
Downloading kservice (5.54.0-1-x86_64)...
Downloading kcodecs (5.54.0-1-x86_64)...
Downloading kguiaddons (5.54.0-1-x86_64)...
Downloading kconfigwidgets (5.54.0-1-x86_64)...
Downloading kitemviews (5.54.0-1-x86_64)...
Downloading kiconthemes (5.54.0-1-x86_64)...
Downloading sonnet (5.54.0-1-x86_64)...
Downloading ktextwidgets (5.54.0-1-x86_64)...
Downloading kxmlgui (5.54.0-1-x86_64)...
Downloading kbookmarks (5.54.0-1-x86_64)...
Downloading solid (5.54.0-1-x86_64)...
Downloading kjobwidgets (5.54.0-1-x86_64)...
Downloading knotifications (5.54.0-1-x86_64)...
Downloading kwallet (5.54.0-1-x86_64)...
Downloading kio (5.54.1-1-x86_64)...
Downloading kpackage (5.54.0-1-x86_64)...
Downloading kdeclarative (5.54.0-1-x86_64)...
Downloading kcmutils (5.54.0-1-x86_64)...
Downloading kfilemetadata (5.54.0-1-x86_64)...
Downloading kitemmodels (5.54.0-1-x86_64)...
Downloading knewstuff (5.54.0-1-x86_64)...
Downloading lua (5.3.5-2-x86_64)...
Downloading phonon-qt5-vlc (0.10.2-1-x86_64)...
Downloading knotifyconfig (5.54.0-1-x86_64)...
Downloading kplotting (5.54.0-1-x86_64)...
Downloading krita (4.1.7.101-2-x86_64)...
Downloading libcmis (0.5.2-2-x86_64)...
Downloading libgphoto2 (2.5.22-1-x86_64)...
Downloading libisoburn (1.5.0-2-x86_64)...
Downloading libixion (0.14.1-2-x86_64)...
Downloading liborcus (0.14.1-2-x86_64)...
Downloading libpst (0.6.72-2-x86_64)...
Downloading redland (1:1.0.17-7-x86_64)...
Downloading libreoffice-fresh (6.1.4-2-x86_64)...
Downloading libsynctex (2018.48691-4-x86_64)...
Downloading libteam (1.28-2-x86_64)...
Downloading libtorrent-rasterbar (1:1.1.11-2-x86_64)...
Downloading libva-mesa-driver (18.3.2-0-x86_64)...
Downloading linux414-nvidia (1:415.27-2-x86_64)...
Downloading linux414-r8168 (8.045.08-64-x86_64)...
Downloading linux419-nvidia (1:415.27-2-x86_64)...
Downloading linux419-r8168 (8.045.08-13-x86_64)...
Downloading linux419-virtualbox-host-modules (6.0.2-2-x86_64)...
Downloading lua51 (5.1.5-8-x86_64)...
Downloading lua52 (5.2.4-4-x86_64)...
Downloading mercurial (4.8.2-1-x86_64)...
Downloading mesa-vdpau (18.3.2-0-x86_64)...
Downloading python-pyparsing (2.3.1-1-any)...
Downloading meson (0.49.0-2-any)...
Downloading modemmanager (1.10.0-1-x86_64)...
Downloading networkmanager (1.14.5dev+17+gba83251bb-2-x86_64)...
Downloading networkmanager-openconnect (1.2.4-4-x86_64)...
Downloading networkmanager-openvpn (1.8.8-2-x86_64)...
Downloading networkmanager-pptp (1.2.8-2-x86_64)...
Downloading networkmanager-vpnc (1.2.6-2-x86_64)...
Downloading purpose (5.54.0-1-x86_64)...
Downloading pyalpm (0.8.5-2-x86_64)...
Downloading python2-pyparsing (2.3.1-1-any)...
Downloading qt4 (4.8.7-27-x86_64)...
Downloading ruby (2.6.0-5-x86_64)...
Downloading source-highlight (3.1.8-18-x86_64)...
Downloading system-config-printer (1.5.11-4-x86_64)...
Downloading totem-plparser (3.26.2-1-x86_64)...
Downloading vulkan-intel (18.3.2-0-x86_64)...
Downloading vulkan-radeon (18.3.2-0-x86_64)...
Downloading wget (1.20.1-2-x86_64)...
Downloading whois (5.4.0-2-x86_64)...
Downloading aegisub (3.2.2-32-x86_64)...
Downloading amule (11004-4-x86_64)...
Downloading ardour (5.12-10-x86_64)...
Downloading augeas (1.11.0-2-x86_64)...
Downloading bower (1.8.7-1-any)...
Downloading ceph-libs (13.2.1-3-x86_64)...
Downloading cpupower (4.20-2-x86_64)...
Downloading easystroke (0.6.0-20-x86_64)...
Downloading electron (3.1.1-1-x86_64)...
Downloading fluidsynth (1.1.11-3-x86_64)...
Downloading liburcu (0.10.2-1-x86_64)...
Downloading glusterfs (1:5.2-2-x86_64)...
Downloading gnustep-base (1.26.0-1-x86_64)...
Downloading inxi (3.0.30-1-any)...
Downloading zeromq (4.3.1-1-x86_64)...
Downloading netcf (0.2.8-7-x86_64)...
Downloading libvirt (4.9.0-2-x86_64)...
Downloading lucene++ (3.0.7-15-x86_64)...
Downloading mc (4.8.22-1-x86_64)...
Downloading npm (6.6.0-1-any)...
Downloading python-bcrypt (3.1.6-1-x86_64)...
Downloading python-entrypoints (0.3-1-any)...
Downloading python-peewee (3.8.2-1-x86_64)...
Downloading libimagequant (2.12.2-1-x86_64)...
Downloading python-pillow (5.4.1-1-x86_64)...
Downloading python-pytest (4.1.1-1-any)...
Downloading python2-bcrypt (3.1.6-1-x86_64)...
Downloading python2-entrypoints (0.3-1-any)...
Downloading python2-matplotlib (2.2.3-5-x86_64)...
Downloading python2-pillow (5.4.1-1-x86_64)...
Downloading python2-zc.lockfile (1.4-2-any)...
Downloading sqlcipher (4.0.1-2-x86_64)...
Downloading toxcore (1:0.2.9-1-x86_64)...
Downloading qtox (1.16.3-7-x86_64)...
Downloading rust (1:1.32.0-1-x86_64)...
Downloading unarchiver (1.10.1-6-x86_64)...
Downloading virtualbox (6.0.2-1-x86_64)...
Downloading vtk (8.1.2-2-x86_64)...
Downloading youtube-dl (2019.01.17-1-any)...
Downloading lib32-alsa-lib (1.1.8-1-x86_64)...
Downloading lib32-alsa-plugins (1.1.8-1-x86_64)...
Downloading lib32-nvidia-utils (1:415.27-1-x86_64)...
Downloading lib32-ncurses (6.1-4-x86_64)...
Downloading lib32-readline (8.0.0-1-x86_64)...
Downloading lib32-mesa (18.3.2-0-x86_64)...
Downloading lib32-mesa-vdpau (18.3.2-0-x86_64)...
Downloading lib32-vulkan-intel (18.3.2-0-x86_64)...
Downloading lib32-vulkan-radeon (18.3.2-0-x86_64)...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Running pre-transaction hooks...
Save Linux kernel modules
Upgrading libutil-linux (2.33.1-1 -> 2.33.1-2)...
Upgrading ncurses (6.1-4 -> 6.1-6)...
Upgrading readline (7.0.005-1 -> 8.0.0-1)...
Upgrading bashrc-manjaro (4.4.023-2 -> 5.0.0-1)...
Upgrading bash (4.4.023-2 -> 5.0.0-1)...
Upgrading pcre (8.42-1 -> 8.42-2)...
Upgrading js52 (52.9.0-1 -> 52.9.0-2)...
Upgrading libidn2 (2.0.5-1 -> 2.1.0-1)...
Upgrading gdbm (1.18.1-1 -> 1.18.1-2)...
Upgrading libsasl (2.1.26-13 -> 2.1.26-16)...
Upgrading libldap (2.4.46-2 -> 2.4.47-1)...
Upgrading util-linux (2.33.1-1 -> 2.33.1-2)...
Upgrading pcre2 (10.32-1 -> 10.32-2)...
Upgrading device-mapper (2.02.183-1 -> 2.02.183-2)...
Upgrading accountsservice (0.6.54+2+g204a4ab-1 -> 0.6.54+2+g204a4ab-2)...
Upgrading alsa-lib (1.1.7-2 -> 1.1.8-1)...
Upgrading boost-libs (1.68.0-2 -> 1.69.0-1)...
Upgrading hunspell (1.7.0-1 -> 1.7.0-2)...
Upgrading gnutls (3.6.5-1 -> 3.6.5-4)...
Upgrading libxml2 (2.9.8-6 -> 2.9.8-8)...
Upgrading jack (0.125.0-5 -> 0.125.0-7)...
Upgrading libedit (20180525_3.1-1 -> 20181209_3.1-1)...
Upgrading mesa (18.3.1-1 -> 18.3.2-0)...
Upgrading libpsl (0.20.2-1 -> 0.20.2-3)...
Upgrading curl (7.63.0-2 -> 7.63.0-4)...
Upgrading python (3.7.2-1 -> 3.7.2-3)...
Upgrading pacman-mirrors (4.14.0-3 -> 4.14.1-1)...
Upgrading sqlite (3.26.0-1 -> 3.26.0-2)...
Upgrading gnupg (2.2.12-1 -> 2.2.12-2)...
Upgrading mhwd-nvidia (1:415.25-1 -> 1:415.27-1)...
Upgrading nvidia-utils (1:415.25-1 -> 1:415.27-1)...
Configuring nvidia-utils...
e[1;1me[1;32m==>e[1;0me[1;1m If you run into trouble with CUDA not being available, run nvidia-modprobe first.e[1;0m
Upgrading avahi (0.7+16+g1cc2b8e-2 -> 0.7+18+g1b5f401-1)...
Upgrading libcups (2.2.10-1 -> 2.2.10-2)...
Upgrading gtk-update-icon-cache (3.24.2+7+g43aeb52b73-1 -> 3.24.3-1)...
Upgrading tar (1.31-1 -> 1.31-2)...
Upgrading gtk3 (3.24.2+7+g43aeb52b73-1 -> 3.24.3-1)...
Upgrading aegisub (3.2.2-31 -> 3.2.2-32)...
Upgrading alsa-plugins (1.1.7-3 -> 1.1.8-1)...
Upgrading alsa-utils (1.1.7-1 -> 1.1.8-1)...
Upgrading amule (11004-2 -> 11004-4)...
Upgrading apr-util (1.6.1-3 -> 1.6.1-5)...
Upgrading ardour (5.12-9 -> 5.12-10)...
Upgrading qt5-base (5.12.0-2.0 -> 5.12.0-3.0)...
Upgrading attica (5.53.0-1 -> 5.54.0-1)...
Upgrading augeas (1.11.0-1 -> 1.11.0-2)...
Upgrading bc (1.07.1-2 -> 1.07.1-3)...
Upgrading bluez (5.50-3 -> 5.50-6)...
Upgrading bluez-libs (5.50-3 -> 5.50-6)...
Upgrading bluez-utils (5.50-3 -> 5.50-6)...
Upgrading boost (1.68.0-2 -> 1.69.0-1)...
Upgrading libuv (1.24.1-1 -> 1.25.0-1)...
Upgrading bower (1.8.4-1 -> 1.8.7-1)...
Upgrading breeze-icons (5.53.0-1 -> 5.54.0-1)...
Upgrading python2 (2.7.15-2 -> 2.7.15-4)...
Upgrading xfsprogs (4.19.0-1 -> 4.19.0-2)...
Upgrading ceph-libs (13.2.1-2 -> 13.2.1-3)...
Upgrading cpupower (4.20-1 -> 4.20-2)...
Upgrading cups-pk-helper (0.2.6-2 -> 0.2.6-3)...
Upgrading dnsmasq (2.80-1 -> 2.80-2)...
Upgrading easystroke (0.6.0-19 -> 0.6.0-20)...
Upgrading electron (3.0.13-2 -> 3.1.1-1)...
Upgrading extra-cmake-modules (5.53.0-1 -> 5.54.0-1)...
Upgrading gawk (4.2.1-1 -> 4.2.1-2)...
Upgrading ostree (2018.9-1 -> 2019.1-1)...
Upgrading xdg-dbus-proxy (0.1.0-1 -> 0.1.1-1)...
Upgrading libmm-glib (1.8.2-1 -> 1.10.0-1)...
Upgrading geoclue2 (2.5.2-1 -> 2.5.2-2)...
Upgrading xdg-desktop-portal-gtk (1.0.2-1 -> 1.1.1-1)...
Upgrading rtkit (0.11+8+ge0a51fe-1 -> 0.11+10+g493a135-1)...
Upgrading xdg-desktop-portal (1.0.3-1 -> 1.1.1-1)...
Upgrading flatpak (1.1.2-1 -> 1.1.3-2)...
Upgrading fluidsynth (1.1.11-2 -> 1.1.11-3)...
Upgrading gcr (3.28.0-4 -> 3.28.1-1)...
Upgrading gnome-online-accounts (3.30.0-1 -> 3.30.1-1)...
Upgrading libphonenumber (8.10.1-1 -> 8.10.1-2)...
Upgrading folks (0.11.4+42+g5520ed9a-1 -> 0.11.4+42+g5520ed9a-2)...
Upgrading libgdm (3.30.2-1 -> 3.30.2-2)...
Upgrading js60 (60.4.0-1 -> 60.4.0-2)...
Upgrading gjs (2:1.54.3-1 -> 2:1.54.3-2)...
Upgrading usbmuxd (1.1.0+48+g1cc8b34-2 -> 1.1.0+48+g1cc8b34-3)...
Upgrading libnm (1.14.5dev+17+gba83251bb-1 -> 1.14.5dev+17+gba83251bb-2)...
Upgrading libnm-glib (1.14.5dev+17+gba83251bb-1 -> 1.14.5dev+17+gba83251bb-2)...
Upgrading mobile-broadband-provider-info (20170310-2 -> 20190116-1)...
Upgrading gdm (3.30.2-1 -> 3.30.2-2)...
Upgrading liburcu (0.10.1-1 -> 0.10.2-1)...
Upgrading glusterfs (1:5.2-1 -> 1:5.2-2)...
Configuring glusterfs...
-- Read https://gluster.readthedocs.io/en/latest/Upgrade-Guide/ page!
Upgrading gmime3 (3.2.3-1 -> 3.2.3-2)...
Upgrading gnustep-base (1.25.1-4 -> 1.26.0-1)...
Upgrading gsasl (1.8.0-8 -> 1.8.0-9)...
Upgrading gsfonts (20180524-1 -> 20180524-2)...
Upgrading guile (2.2.4-1 -> 2.2.4-2)...
Upgrading parted (3.2-7 -> 3.2-8)...
Upgrading lvm2 (2.02.183-1 -> 2.02.183-2)...
Upgrading gvfs (1.38.1-1 -> 1.38.1+8+ge4eec2bc-1)...
Upgrading gvfs-afc (1.38.1-1 -> 1.38.1+8+ge4eec2bc-1)...
Upgrading gvfs-goa (1.38.1-1 -> 1.38.1+8+ge4eec2bc-1)...
Upgrading gvfs-google (1.38.1-1 -> 1.38.1+8+ge4eec2bc-1)...
Upgrading gvfs-mtp (1.38.1-1 -> 1.38.1+8+ge4eec2bc-1)...
Upgrading libwbclient (4.9.4-1 -> 4.9.4-2)...
Upgrading smbclient (4.9.4-1 -> 4.9.4-2)...
Upgrading gvfs-smb (1.38.1-1 -> 1.38.1+8+ge4eec2bc-1)...
Upgrading libmagick (7.0.8.23-1 -> 7.0.8.24-1)...
Upgrading imagemagick (7.0.8.23-1 -> 7.0.8.24-1)...
Upgrading inetutils (1.9.4-6 -> 1.9.4-7)...
Upgrading inkscape (0.92.3-7 -> 0.92.4-1)...
Upgrading inxi (3.0.28-1 -> 3.0.30-1)...
Upgrading iputils (20180629.f6aac8d-2 -> 20180629.f6aac8d-3)...
Upgrading karchive (5.53.0-1 -> 5.54.0-1)...
Upgrading kcoreaddons (5.53.0-1 -> 5.54.0-1)...
Upgrading kauth (5.53.0-1 -> 5.54.0-2)...
Upgrading kdbusaddons (5.53.0-1 -> 5.54.0-1)...
Upgrading kconfig (5.53.0-1 -> 5.54.0-1)...
Upgrading kwindowsystem (5.53.0-1 -> 5.54.0-1)...
Upgrading kcrash (5.53.0-1 -> 5.54.0-1)...
Upgrading kglobalaccel (5.53.0-1 -> 5.54.0-1)...
Upgrading kwidgetsaddons (5.53.0-1 -> 5.54.0-1)...
Upgrading kcompletion (5.53.0-1 -> 5.54.0-1)...
Upgrading ki18n (5.53.0-1 -> 5.54.0-1)...
Upgrading kservice (5.53.0-1 -> 5.54.0-1)...
Upgrading kcodecs (5.53.0-1 -> 5.54.0-1)...
Upgrading kguiaddons (5.53.0-1 -> 5.54.0-1)...
Upgrading kconfigwidgets (5.53.0-1 -> 5.54.0-1)...
Upgrading kitemviews (5.53.0-1 -> 5.54.0-1)...
Upgrading kiconthemes (5.53.0-1 -> 5.54.0-1)...
Upgrading sonnet (5.53.0-1 -> 5.54.0-1)...
Upgrading ktextwidgets (5.53.0-1 -> 5.54.0-1)...
Upgrading kxmlgui (5.53.0-1 -> 5.54.0-1)...
Upgrading kbookmarks (5.53.0-1 -> 5.54.0-1)...
Upgrading solid (5.53.0-1 -> 5.54.0-1)...
Upgrading kjobwidgets (5.53.0-1 -> 5.54.0-1)...
Upgrading knotifications (5.53.0-1 -> 5.54.0-1)...
Upgrading kwallet (5.53.0-1 -> 5.54.0-1)...
Upgrading kio (5.53.0-1 -> 5.54.1-1)...
Upgrading kpackage (5.53.0-1 -> 5.54.0-1)...
Upgrading kdeclarative (5.53.0-1 -> 5.54.0-1)...
Upgrading kcmutils (5.53.0-1 -> 5.54.0-1)...
Upgrading kfilemetadata (5.53.0-1 -> 5.54.0-1)...
Upgrading kitemmodels (5.53.0-1 -> 5.54.0-1)...
Upgrading knewstuff (5.53.0-1 -> 5.54.0-1)...
Upgrading lua (5.3.5-1 -> 5.3.5-2)...
Upgrading phonon-qt5-vlc (0.10.1-3 -> 0.10.2-1)...
Upgrading knotifyconfig (5.53.0-1 -> 5.54.0-1)...
Upgrading kplotting (5.53.0-1 -> 5.54.0-1)...
Upgrading krita (4.1.7-1 -> 4.1.7.101-2)...
Upgrading lib32-alsa-lib (1.1.7-1 -> 1.1.8-1)...
Upgrading lib32-alsa-plugins (1.1.7-1 -> 1.1.8-1)...
Upgrading lib32-nvidia-utils (1:415.25-1 -> 1:415.27-1)...
Upgrading lib32-ncurses (6.1-3 -> 6.1-4)...
Upgrading lib32-readline (7.0.005-1 -> 8.0.0-1)...
Upgrading lib32-mesa (18.3.1-1 -> 18.3.2-0)...
Upgrading lib32-mesa-vdpau (18.3.1-1 -> 18.3.2-0)...
Upgrading lib32-vulkan-intel (18.3.1-1 -> 18.3.2-0)...
Upgrading lib32-vulkan-radeon (18.3.1-1 -> 18.3.2-0)...
Upgrading libcmis (0.5.2-1 -> 0.5.2-2)...
Upgrading libgphoto2 (2.5.21-1 -> 2.5.22-1)...
Upgrading libisoburn (1.5.0-1 -> 1.5.0-2)...
Upgrading libixion (0.14.1-1 -> 0.14.1-2)...
Upgrading liborcus (0.14.1-1 -> 0.14.1-2)...
Upgrading libpst (0.6.72-1 -> 0.6.72-2)...
Upgrading redland (1:1.0.17-6 -> 1:1.0.17-7)...
Upgrading libreoffice-fresh (6.1.4-1 -> 6.1.4-2)...
Upgrading libsynctex (2018.48691-3 -> 2018.48691-4)...
Upgrading zeromq (4.3.0-1 -> 4.3.1-1)...
Upgrading libteam (1.28-1 -> 1.28-2)...
Upgrading libtorrent-rasterbar (1:1.1.11-1 -> 1:1.1.11-2)...
Upgrading libva-mesa-driver (18.3.1-1 -> 18.3.2-0)...
Upgrading netcf (0.2.8-6 -> 0.2.8-7)...
Upgrading libvirt (4.9.0-1 -> 4.9.0-2)...
Configuring libvirt...
>>> You may need to run 'rm -rf ~/.libvirt'
Upgrading linux414 (4.14.92-1 -> 4.14.94-1)...
Upgrading linux414-headers (4.14.92-1 -> 4.14.94-1)...
Upgrading linux414-nvidia (1:415.25-4 -> 1:415.27-2)...
Upgrading linux414-r8168 (8.045.08-62 -> 8.045.08-64)...
Upgrading linux419 (4.19.14-1 -> 4.19.16-1)...
Upgrading linux419-headers (4.19.14-1 -> 4.19.16-1)...
Upgrading linux419-nvidia (1:415.25-3 -> 1:415.27-2)...
Upgrading linux419-r8168 (8.045.08-11 -> 8.045.08-13)...
Upgrading linux419-virtualbox-host-modules (6.0.0-3 -> 6.0.2-2)...
Configuring linux419-virtualbox-host-modules...
In order to use the new version, reload all virtualbox modules manually.
Upgrading lua51 (5.1.5-7 -> 5.1.5-8)...
Upgrading lua52 (5.2.4-3 -> 5.2.4-4)...
Upgrading lucene++ (3.0.7-14 -> 3.0.7-15)...
Upgrading mc (4.8.21-1 -> 4.8.22-1)...
Upgrading mercurial (4.8.1-1 -> 4.8.2-1)...
Upgrading mesa-vdpau (18.3.1-1 -> 18.3.2-0)...
Upgrading python-pyparsing (2.3.0-1 -> 2.3.1-1)...
Upgrading meson (0.49.0-1 -> 0.49.0-2)...
Upgrading modemmanager (1.8.2-1 -> 1.10.0-1)...
Upgrading wpa_supplicant (2:2.6-1 -> 2:2.6-2)...
Upgrading networkmanager (1.14.5dev+17+gba83251bb-1 -> 1.14.5dev+17+gba83251bb-2)...
Upgrading networkmanager-openconnect (1.2.4-3 -> 1.2.4-4)...
Upgrading networkmanager-openvpn (1.8.8-1 -> 1.8.8-2)...
Upgrading networkmanager-pptp (1.2.8-1 -> 1.2.8-2)...
Upgrading networkmanager-vpnc (1.2.6-1 -> 1.2.6-2)...
Upgrading npm (6.5.0-1 -> 6.6.0-1)...
Upgrading pkgconf (1.5.4-1 -> 1.6.0-1)...
Upgrading purpose (5.53.0-1 -> 5.54.0-1)...
Upgrading pyalpm (0.8.4-2 -> 0.8.5-2)...
Upgrading python-bcrypt (3.1.5-1 -> 3.1.6-1)...
Upgrading python-entrypoints (0.2.3-3 -> 0.3-1)...
Upgrading python-peewee (3.8.1-1 -> 3.8.2-1)...
Installing libimagequant (2.12.2-1)...
Upgrading python-pillow (5.3.0-1 -> 5.4.1-1)...
Upgrading python-pytest (4.1.0-1 -> 4.1.1-1)...
Upgrading python2-bcrypt (3.1.5-1 -> 3.1.6-1)...
Upgrading python2-entrypoints (0.2.3-3 -> 0.3-1)...
Upgrading python2-pyparsing (2.3.0-1 -> 2.3.1-1)...
Upgrading python2-matplotlib (2.2.3-3 -> 2.2.3-5)...
Upgrading python2-pillow (5.3.0-1 -> 5.4.1-1)...
Upgrading python2-zc.lockfile (1.4-1 -> 1.4-2)...
Upgrading qt4 (4.8.7-26 -> 4.8.7-27)...
Upgrading sqlcipher (4.0.1-1 -> 4.0.1-2)...
Upgrading toxcore (1:0.2.8-1 -> 1:0.2.9-1)...
Upgrading qtox (1.16.3-6 -> 1.16.3-7)...
Upgrading ruby (2.6.0-4 -> 2.6.0-5)...
Upgrading rust (1:1.31.1-1 -> 1:1.32.0-1)...
Upgrading s-nail (14.9.11-1 -> 14.9.11-2)...
Upgrading source-highlight (3.1.8-17 -> 3.1.8-18)...
Upgrading sudo (1.8.26-2 -> 1.8.27-1)...
Upgrading system-config-printer (1.5.11-3 -> 1.5.11-4)...
Upgrading totem-plparser (3.26.1+2+gb7f36dd-1 -> 3.26.2-1)...
Upgrading unarchiver (1.10.1-5 -> 1.10.1-6)...
Upgrading virtualbox (6.0.0-3 -> 6.0.2-1)...
Upgrading vtk (8.1.2-1 -> 8.1.2-2)...
Upgrading vulkan-intel (18.3.1-1 -> 18.3.2-0)...
Upgrading vulkan-radeon (18.3.1-1 -> 18.3.2-0)...
Upgrading wget (1.20.1-1 -> 1.20.1-2)...
Upgrading whois (5.4.0-1 -> 5.4.0-2)...
Upgrading youtube-dl (2019.01.10-1 -> 2019.01.17-1)...
Running post-transaction hooks...
Updating linux414 module dependencies...
Updating linux419 module dependencies...
Updating linux414 initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux414.preset: 'default'
  -> -k /boot/vmlinuz-4.14-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.14-x86_64.img
==> Starting build: 4.14.94-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/lib/systemd/systemd-udevd'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/udevadm'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/systemd-tmpfiles'
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.14-x86_64.img
==> WARNING: errors were encountered during the build. The image may not be complete.
==> Building image from preset: /etc/mkinitcpio.d/linux414.preset: 'fallback'
  -> -k /boot/vmlinuz-4.14-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.14-x86_64-fallback.img -S autodetect
==> Starting build: 4.14.94-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/lib/systemd/systemd-udevd'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/udevadm'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/systemd-tmpfiles'
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.14-x86_64-fallback.img
==> WARNING: errors were encountered during the build. The image may not be complete.
Error: command failed to execute correctly
Updating linux419 initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux419.preset: 'default'
  -> -k /boot/vmlinuz-4.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.19-x86_64.img
==> Starting build: 4.19.16-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/lib/systemd/systemd-udevd'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/udevadm'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/systemd-tmpfiles'
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.19-x86_64.img
==> WARNING: errors were encountered during the build. The image may not be complete.
==> Building image from preset: /etc/mkinitcpio.d/linux419.preset: 'fallback'
  -> -k /boot/vmlinuz-4.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.19-x86_64-fallback.img -S autodetect
==> Starting build: 4.19.16-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/lib/systemd/systemd-udevd'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/udevadm'
==> ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/systemd-tmpfiles'
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.19-x86_64-fallback.img
==> WARNING: errors were encountered during the build. The image may not be complete.
Error: command failed to execute correctly
Updating Grub-Bootmenu
Generating grub configuration file ...
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Found background: /usr/share/grub/background.png
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Found linux image: /boot/vmlinuz-4.19-x86_64
Found initrd image: /boot/intel-ucode.img /boot/initramfs-4.19-x86_64.img
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Found initrd fallback image: /boot/initramfs-4.19-x86_64-fallback.img
Found linux image: /boot/vmlinuz-4.14-x86_64
Found initrd image: /boot/intel-ucode.img /boot/initramfs-4.14-x86_64.img
Found initrd fallback image: /boot/initramfs-4.14-x86_64-fallback.img
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Found memtest86+ image: /boot/memtest86+/memtest.bin
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
done
Warn about old perl modules
Updating fontconfig cache...
Updating GIO module cache...
Compiling GSettings XML schema files...
Probing GTK3 input method modules...
Updating icon theme caches...
Reloading GVFS config...
Restore Linux kernel modules

e[1;1me[1;32m==>e[1;0me[1;1m Warning:
	 -> Kernel has been updated. Modules of the current kernel
	 -> have been backed up so you can continue to use your
	 -> computer. However, the new kernel will only work 
	 -> at next boot.
	e[1;0m
	e[1;0m
Configuring pacman-mirrors ...
::e[1;37mINFOe[1;m Downloading mirrors from repo.manjaro.org
hint: use `pacman-mirrors` to generate and update your pacman mirrorlist.
Reloading system manager configuration...
/usr/bin/systemctl: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Error: command failed to execute correctly
Updating udev hardware database...
/usr/bin/systemd-hwdb: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Error: command failed to execute correctly
Applying kernel sysctl settings...
/usr/lib/systemd/systemd-sysctl: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Error: command failed to execute correctly
Creating system user accounts...
/usr/bin/systemd-sysusers: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Error: command failed to execute correctly
Creating temporary files...
/usr/bin/systemd-tmpfiles: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Error: command failed to execute correctly
Reloading device manager configuration...
/usr/bin/udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Error: command failed to execute correctly
Arming ConditionNeedsUpdate...
Updating the info directory file...
Updating the desktop file MIME type cache...
Updating the MIME type database...
Updating X fontdir indices...
Transaction successfully finished.

Don't reboot!!! Run this first!!

sudo pacman -Syuu

You still have the "newer" systemd package that has issues. It needs to be downgraded before you reboot. If you reboot before downgrading the packge, your system will not boot!

(Please read the very top of the update announcement!)

3 Likes

at @Maintainers @philm

cant write a function in manjaro-system as ?

if [[ $(vercmp $(pacman -Q | grep 'systemd' -m1 | cut -d' ' -f2) 339.6) -gt 0 ]] and libidn2_version < 2.1.0-1 ; then
    pacman -Suu systemd systemd-sysvcompat libsystemd
    [ "$(pacman -Qq | grep 'lib32-systemd' -m1)" == "lib32-systemd" ] && pacman -Suu lib32-systemd
fi
5 Likes

Simple copy-pasta, hopefully it isn't too late.

You MUST downgrade systemd if you want to keep a system that isn't broken and having to chroot your system.

libidn2 got a SOname bump, which means that software compiled against (and that relies on) older version of libidn2 won't work correctly ("open shared object file: No such file or directory"). systemd uses libidn2, which means that if you do not downgrade systemd packages to the one available in repo, your system won't be able to boot successfully.

I had an encrypted drive so I had to do more than just the chroot thing with a USB thumb drive.

I followed this guy's solution and mine works now

His post has this link which describes how to chroot into an encrypted system.

From there I was able to do the pacman -Syyuu and that got it back to working.

Jason

Forum kindly sponsored by